use crate::{Szun, Type};

pub struct Boolean {
    data:bool,
}
impl Boolean {
    pub fn new() -> Szun
    {
        Szun::Boolean(false)
    }

    pub fn from(data:bool) -> Szun
    {
        Szun::Boolean(data)
    }
}
impl Type for Boolean {
    fn tag() -> u32 { 0x02 }
}
